/*==============================================================================
	Copyright (C) 2010 IT Access.,Co.Ltd. All Rights Reserved.
	
	This software is the confidential and proprietary information 
	of IT Access.,Co.Ltd.
	
	Note:
		For CQ出版 Interface SH-2A board + LCD board without OS.

   Spec: SH7262 144MHz, 1MB RAM, LCD QVGA 320x240 RGB565

	2010/08 T.Kou IT-Access

==============================================================================*/
/***************************************************************
	タッチ・LCDパネル 制御ルーチン ヘッダ
***************************************************************/

#ifndef __TOUCHPANEL__
#define __TOUCHPANEL__


/* タッチパネル処理用タイマ割り込み処理(5ms周期でコールすること) */
void TOUCH_Interrupt(void);

/* タッチパネル制御初期化 */
void TOUCH_Initialize(void);

/* LCDバックライトON/OFF */
void LCD_SetBackLight( int bool )

/* タッチパネル ペンダウン状態取得 */
int TOUCH_GetPenDown(void);

/* タッチパネル タッチ座標取得 */
unsigned int TOUCH_GetXYvalue(void);

/* タッチパネル タッチ座標取得 */
unsigned int TOUCH_GetXY(void);


#endif

